Create a legal document
curl --request POST \
--url https://b.anny.co/api/v1/legal-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"document_type": "<string>",
"title": "<string>",
"content": "<string>"
},
"relationships": {},
"meta": {}
}
}
'import requests
url = "https://b.anny.co/api/v1/legal-documents"
payload = { "data": {
"type": "<string>",
"attributes": {
"document_type": "<string>",
"title": "<string>",
"content": "<string>"
},
"relationships": {},
"meta": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {document_type: '<string>', title: '<string>', content: '<string>'},
relationships: {},
meta: {}
}
})
};
fetch('https://b.anny.co/api/v1/legal-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "legaldocuments",
"attributes": {
"name": "<string>",
"content": "<string>",
"document_type": "<string>",
"request_signature": true,
"always_require_confirmation": true
},
"links": {
"self": "<string>"
}
}
}Content & Documents
Create a legal document
POST
/
api
/
v1
/
legal-documents
Create a legal document
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
201 - application/vnd.api+json
Created
A legal document (terms, privacy policy) that can be attached to services.
Show child attributes
Show child attributes
⌘I